import * as constants from './constants';
import { fromJS } from 'immutable';

const defaultState = fromJS({
	csrfToken:'',
	staff:{}
});

export default (state = defaultState, action) => {
	
	switch (action.type) {
		case constants.CHANGE_CSRF_TOKEN:
			return state.set('csrfToken', action.data);
		default:
			return state;
	}
	

}